--- old/usr/src/uts/common/fs/proc/prvfsops.c	sam. juil. 16 15:14:26 2016
+++ new/usr/src/uts/common/fs/proc/prvfsops.c	sam. juil. 16 15:14:26 2016
@@ -83,7 +83,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, (void *)&modlfs, NULL
+	MODREV_1, { (void *)&modlfs, NULL }
 };
 
 int
@@ -141,11 +141,11 @@
 prinit(int fstype, char *name)
 {
 	static const fs_operation_def_t pr_vfsops_template[] = {
-		VFSNAME_MOUNT,		{ .vfs_mount = prmount },
-		VFSNAME_UNMOUNT,	{ .vfs_unmount = prunmount },
-		VFSNAME_ROOT,		{ .vfs_root = prroot },
-		VFSNAME_STATVFS,	{ .vfs_statvfs = prstatvfs },
-		NULL,			NULL
+		{ VFSNAME_MOUNT,	{ .vfs_mount = prmount } },
+		{ VFSNAME_UNMOUNT,	{ .vfs_unmount = prunmount } },
+		{ VFSNAME_ROOT,		{ .vfs_root = prroot } },
+		{ VFSNAME_STATVFS,	{ .vfs_statvfs = prstatvfs } },
+		{ NULL,			{ NULL } }
 	};
 	extern const fs_operation_def_t pr_vnodeops_template[];
 	int error;
